## 参考环境

硬件：CPU（无显卡）
系统：Debian 12.6
Python: 3.8.19

INFO：`Ultralytics YOLOv8.1.42 🚀 Python-3.8.19 torch-1.13.1+cu117 CPU (Intel Xeon E5-2670 v3 2.30GHz)`

## 安装库

采用 pip 安装第三方库

```shell
pip install matplotlib==3.6.2 matplotlib-inline==0.1.6
pip install onnx==1.16.1 onnxruntime==1.16.3 netron==7.6.9 opencv-python==4.9.0.80
pip install pandas==1.5.3
pip install torch==1.13.1 torchvision==0.14.1 ultralytics==8.1.42 torchaudio==0.13.1 
# pytorch-cuda=11.7 
pip install ultralytics
```

因为没有显卡，所以无需安装 onnx-gpu 版本。

采用 CUDA 安装：

```shell
pip install onnx==1.16.1 onnxruntime-gpu==1.16.3
pip install tensorboard==2.8.0 tensorflow-gpu==2.8.4
pip install nvidia-cuda-nvrtc-cu11==11.7.99
pip install nvidia-cuda-runtime-cu11==11.7.99
```


## 环境验证

```shell
python -m torch.utils.collect_env
```

输出环境信息：

```log
Collecting environment information...
PyTorch version: 1.13.1+cu117
Is debug build: False
CUDA used to build PyTorch: 11.7
ROCM used to build PyTorch: N/A

OS: Ubuntu 20.04.6 LTS (x86_64)
GCC version: (Ubuntu 9.4.0-1ubuntu1~20.04.2) 9.4.0
Clang version: Could not collect
CMake version: Could not collect
Libc version: glibc-2.31

Python version: 3.8.19 (default, Aug  7 2024, 15:36:56)  [GCC 9.4.0] (64-bit runtime)
Python platform: Linux-5.15.0-107-generic-x86_64-with-glibc2.29
Is CUDA available: True
CUDA runtime version: 11.4.152
CUDA_MODULE_LOADING set to: LAZY
GPU models and configuration: GPU 0: NVIDIA GeForce GTX 1060 3GB
Nvidia driver version: 550.100
cuDNN version: Probably one of the following:
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_adv_infer.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_adv_train.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_cnn_infer.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_cnn_train.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_ops_infer.so.8
/usr/local/cuda-11.4/targets/x86_64-linux/lib/libcudnn_ops_train.so.8
HIP runtime version: N/A
MIOpen runtime version: N/A
Is XNNPACK available: True

Versions of relevant libraries:
[pip3] numpy==1.24.4
[pip3] torch==1.13.1
[pip3] torchvision==0.14.1
[conda] Could not collect
```